/*
 *
 * A1Hash.h
 * 
 * Open SIP Stack ( OSS )
 *
 * Copyright (C) 2006 Joegen E. Baclor. All Rights Reserved.
 *
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is OpenSIPStack Library.
 *
 * The Initial Developer of the Original Code is Joegen E. Baclor.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * $Log: A1Hash.h,v $
 * Revision 1.5  2007/07/14 07:50:15  joegenbaclor
 * Migrated code to use new STL based string class
 *
 * Revision 1.4  2006/11/30 08:19:35  joegenbaclor
 * Relicensed opensipstack to MPL/GPL/LGPL triple license scheme
 *
 * Revision 1.3  2006/03/14 03:13:21  joegenbaclor
 * Initial header upload for BETA Release Candidate
 *
 *
 */

#ifndef A1HASH_H
#define A1HASH_H

#include "MD5Hash.h"

namespace MD5
{
  class A1Hash : public MD5Hash
  {
    PCLASSINFO( A1Hash, PObject );
  public:
    A1Hash();

    A1Hash( 
      const A1Hash & hash 
    );

    A1Hash(
      const OString & userName,
      const OString & realm,
      const OString & password
    );

    BOOL Construct();

    BOOL operator==( const A1Hash & digest );

    A1Hash & operator=( const A1Hash & digest );

    PINLINE const OString & GetUserName()const{ return m_UserName; };
    PINLINE void SetUserName( const OString & userName ){ m_UserName = userName; };
    PINLINE const OString & GetRealm()const{ return m_Realm; };
    PINLINE void SetRealm( const OString & realm ){ m_Realm = realm; };
    PINLINE const OString & GetPassword()const{ return m_Password; };
    PINLINE void SetPassword( const OString & password ){ m_Password = password; };

  protected:
    OString m_UserName;
    OString m_Realm;
    OString m_Password;
  };
};

#endif

