# opensipstack.mak

ifdef LIBRARY_MAKEFILE
PWLIBDIR	    = /builddir/build/BUILD/opensipstack
OPALDIR         = /builddir/build/BUILD/opensipstack
SQLITEDIR       = 
CPPSQLITEDIR    = 
OPENSIPSTACKDIR	= /builddir/build/BUILD/opensipstack
else
PREFIX		= /usr
PWLIBDIR	= $(PREFIX)/share/pwlib
OPALDIR		= $(PREFIX)
SQLITEDIR	=
CPPSQLITEDIR	=
OPENSIPSTACKDIR = $(PREFIX)/share/opensipstack
endif # LIBRARY_MAKEFILE

STDCCFLAGS	   += -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -fno-strict-aliasing -D_REENTRANT -fno-exceptions
LDFLAGS	       += 
LDLIBS		   += 
ENDLDLIBS	   :=  -lpthread -lldap -llber -lsasl2 -lssl -lcrypto -lexpat -lSDL -lresolv -ldl $(ENDLDLIBS)

################################################################################

ifdef LIBRARY_MAKEFILE
include $(PWLIBDIR)/make/unix.mak
else
ifeq ($(NOTRACE), 1)
OBJDIR_SUFFIX := n
endif # NOTRACE
include $(PWLIBDIR)/make/ptlib.mak
endif # LIBRARY_MAKEFILE

ifeq ($(NOTRACE), 1)
STDCCFLAGS += -DPASN_NOPRINTON -DPASN_LEANANDMEAN
OSS_SUFFIX = n
else
STDCCFLAGS += -DPTRACING
RCFLAGS	   += -DPTRACING
OSS_SUFFIX = $(OBJ_SUFFIX)
endif # NOTRACE

################################################################################

HAS_SQLITE = 0

ifeq ($(HAS_SQLITE), 1)

SQLITE_SRCDIR = $(SQLITEDIR)/src
SQLITE_INCDIR = $(SQLITEDIR)/
SQLITE_LIBDIR = $(SQLITEDIR)/.libs

LIBDIRS += $(SQLITE_LIBDIR)

LDFLAGS	    += -L$(SQLITE_LIBDIR)
LDLIBS	    += -lsqlite3
SYSLIBS     += -lsqlite3

STDCCFLAGS  += -I$(SQLITE_INCDIR)

endif

################################################################################

HAS_CPPSQLITE = 

ifeq ($(HAS_CPPSQLITE), 1)

CPPSQLITE_SRCDIR = $(CPPSQLITEDIR)
CPPSQLITE_INCDIR = $(CPPSQLITEDIR)

STDCCFLAGS  += -I$(CPPSQLITE_INCDIR)

endif

################################################################################

OPAL_SRCDIR = $(OPALDIR)/src
ifdef PREFIX
OPAL_INCDIR = $(PREFIX)/include/opal
else
OPAL_INCDIR = $(OPALDIR)/include
endif # PREFIX
OPAL_SIP          = 0
OPAL_H323         = 0
OPAL_IAX2         = 0
OPAL_SYSTEM_SPEEX = 0

STDCCFLAGS  += -I$(OPAL_INCDIR)

################################################################################
ENABLE_GPL_LIBS=
################################################################################
#IPRoute2 flags
ifeq ($(ENABLE_GPL_LIBS), 1)
ifeq ($(OSTYPE),linux)
IPROUTE2DIR = $(OPENSIPSTACKDIR)/gnu/IPRoute2Wrapper
IPR2_SRCDIR = $(IPROUTE2DIR)
IPR2_INCDIR = $(IPROUTE2DIR)/include
IPR2_LIBDIR = $(IPROUTE2DIR)
STDCCFLAGS += -I$(IPR2_SRCDIR)
endif
endif
################################################################################

LIBDIRS += $(OPENSIPSTACKDIR)
OSS_SRCDIR = $(OPENSIPSTACKDIR)/src
ifdef PREFIX
OSS_INCDIR = $(PREFIX)/include/opensipstack
else
OSS_INCDIR = $(OPENSIPSTACKDIR)/include
endif # PREFIX
ifndef OSS_LIBDIR
ifdef PREFIX
OSS_LIBDIR = /usr/lib64
else
OSS_LIBDIR = $(OPENSIPSTACKDIR)/lib
endif # PREFIX
endif # OSS_LIBDIR


OSS_BASE  = opensipstack_$(PLATFORM_TYPE)_$(OSS_SUFFIX)$(LIB_TYPE)
OSS_FILE  = lib$(OSS_BASE).$(LIB_SUFFIX)

LDFLAGS	    += -L$(OSS_LIBDIR)
LDLIBS	    := -l$(OSS_BASE) $(LDLIBS)
STDCCFLAGS  += -I$(OSS_INCDIR)


$(TARGET) :	$(OSS_LIBDIR)/$(OSS_FILE)

ifndef LIBRARY_MAKEFILE
ifdef DEBUG
$(OSS_LIBDIR)/$(OSS_FILE):
	$(MAKE) -C $(OSS_SRCDIR) debug
else
$(OSS_LIBDIR)/$(OSS_FILE):
	$(MAKE) -C $(OSS_SRCDIR) opt
endif # DEBUG
endif # LIBRARY_MAKEFILE

# End of file

